# How to Contribute

Disclaimer: T2R is not an official Google product. External support not
guaranteed, and Robotics @ Google infra needs are prioritized over those of
third-party. The purpose of developing this codebase in the open is to provide
an avenue for open-sourcing our team's code. If you have questions about the
codebase, or would like to submit a pull request, file a GitHub issue first.

# Issues

* Please tag your issue with `bug`, `feature request`, or `question` to help us
  effectively respond.
* Please include the versions of TensorFlow and Tensor2Robot you are running.
* Please provide the command line you ran as well as the log output.

# Pull Requests

We'd love to accept your patches and contributions to this project, provided
that they are aligned with our internal uses of this codebase. There are
just a few guidelines you need to follow.

## Contributor License Agreement

Contributions to this project must be accompanied by a Contributor License
Agreement. You (or your employer) retain the copyright to your contribution,
this simply gives us permission to use and redistribute your contributions as
part of the project. Head over to <https://cla.developers.google.com/> to see
your current agreements on file or to sign a new one.

You generally only need to submit a CLA once, so if you've already submitted one
(even if it was for a different project), you probably don't need to do it
again.

## Code reviews

All submissions, including submissions by project members, require review. We
use GitHub pull requests for this purpose. Consult
[GitHub Help](https://help.github.com/articles/about-pull-requests/) for more
information on using pull requests.
